Api reference
Returns a public-safe process record. Deleted or cross-team processes return not_found.
Authorization
bearerAuth processes:readAuthorizationBearer <token>
In: header
Scope: processes:read
Path Parameters
processId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/processes/string"{ "id": "string", "type": "string", "status": "queued", "model": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "estimatedCompletionSeconds": 0, "creditsEstimated": 0, "creditsUsed": 0, "error": { "code": "string", "message": "string" }, "input": {}, "outputs": [ { "type": "image", "assetId": "string", "url": "http://example.com", "width": 0, "height": 0, "duration": 0, "mimeType": "string" } ], "metadata": { "property1": "string", "property2": "string" }, "links": { "self": "string" }}{ "error": { "code": "string", "message": "string", "requestId": "string" }}{ "error": { "code": "string", "message": "string", "requestId": "string" }}{ "error": { "code": "string", "message": "string", "requestId": "string" }}{ "error": { "code": "string", "message": "string", "requestId": "string" }}